Loading...
Searching...
No Matches
BALL::PDB::Structure::AtomEntry Struct Reference

`#include <BALL/FORMAT/PDBdefs.h>`

## Public Member Functions

| AtomEntry (const BALL::Atom &a)

## Public Attributes

const BALL::Atom * | atom
const BALL::Residue * | residue
const BALL::SecondaryStructure * | sec_struct
const BALL::Chain * | chain

## Detailed Description

Definition at line 1247 of file PDBdefs.h.

## Constructor & Destructor Documentation

## AtomEntry()

BALL::PDB::Structure::AtomEntry::AtomEntry | ( | const BALL::Atom & | a | ) |

inline

Definition at line 1253 of file PDBdefs.h.

## Member Data Documentation

## atom

const BALL::Atom* BALL::PDB::Structure::AtomEntry::atom

Definition at line 1249 of file PDBdefs.h.

## chain

const BALL::Chain* BALL::PDB::Structure::AtomEntry::chain

Definition at line 1252 of file PDBdefs.h.

## residue

const BALL::Residue* BALL::PDB::Structure::AtomEntry::residue

Definition at line 1250 of file PDBdefs.h.

## sec_struct

const BALL::SecondaryStructure* BALL::PDB::Structure::AtomEntry::sec_struct

Definition at line 1251 of file PDBdefs.h.